=== debian/control ===
Source: xcb
Section: x11
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 13),
               xutils-dev,
               libxaw7-dev | libxaw-dev
Standards-Version: 4.6.0.1
Vcs-Git: https://salsa.debian.org/debian/xcb.git
Vcs-Browser: https://salsa.debian.org/debian/xcb

Package: xcb
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Manipulate X server cut and paste buffers/selections
 xcb provides easy access to the cut buffers built into every X server.
 It allows the buffers to be manipulated either via the command line,
 or with the mouse in a point and click manner. This version is also
 utf-8 capable.
