=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS	= hardening=+all
export DEB_CFLAGS_MAINT_APPEND	= -fPIE
export DEB_LDFLAGS_MAINT_APPEND = -fPIE -pie

override_dh_auto_configure:
	xmkmf -a

override_dh_auto_build:
	# CCOPTIONS is used to pass CFLAGS, CPPFLAGS when compiling .c files,
	# EXTRA_LOAD_FLAGS when linking the program.
	dh_auto_build -- \
		CCOPTIONS="$(CFLAGS) $(CPPFLAGS)" \
		EXTRA_LOAD_FLAGS="-I. $(CFLAGS) $(LDFLAGS)"
	cp xcb.man debian/xcb.1

override_dh_clean:
	[ ! -f Makefile ] && xmkmf -a || :
	[ ! -f Makefile ] || $(MAKE) clean
	dh_clean

%:
	dh $@
